<template>
<div>
  <h1>Testheader</h1>
  <p>TestAlinea</p>
  <button @click="setBlogPost">addData</button>
  </div>
</template>

<script lang="ts">
import Vue from "vue";
import { firestore, auth} from "~/plugins/firebase";
export default Vue.extend({
  name: 'IndexPage',
  data(){
    return{
      header: String,
      alinea: String,
    }
  },
  methods:{
    async setBlogPost(){
      const ref = firestore.collection('blog').doc('test');
      const data = await ref.set({
          title: "Titel2",
          alinea: "Alinea2"
      }).then(() => {
        console.log('added');
      })
    },
    async getBlogPost() {
  const ref = firestore.collection('blog').doc('test');
  const test = await ref.get().then(
    querySnapshot => {
      console.log(querySnapshot.data())
    }
  );
  console.log(test)
}
  },
  mounted() {
  this.getBlogPost();
}
})
</script>
